Bug 1936942 - Using ibus input method menus in the plasma panel doesn't work well on plasma (Wayland)
Summary: Using ibus input method menus in the plasma panel doesn't work well on plasm...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-09 14:08 UTC by Mike FABIAN
Modified: 2023-09-14 05:18 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-14 05:18:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Several ibus menus open at the same time. Even though I clicked into Konsole which can be seen because of the menu from konsole. (515.66 KB, image/png)
2021-03-09 14:08 UTC, Mike FABIAN
no flags Details
Left click and right click menu of ibus open at the same time (548.36 KB, image/png)
2021-03-09 14:11 UTC, Mike FABIAN
no flags Details
Video showing the remaining problem: ibus menu can only be closed by clicking on the panel icon (160.22 KB, video/mp4)
2022-02-15 14:47 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2021-03-09 14:08:24 UTC
Created attachment 1762004 [details]
Several ibus menus open at the same time. Even though I clicked into Konsole which can be seen because of the menu from konsole.

I installed Fedora-Workstation-Live-x86_64-34-20210308.n.0.iso in Japanese in kvm.

Installed plasma desktop using dnf.

Logged into plasma (Wayland)

Ran 'im-chooser' and selected ibus as the input method.

Added ibus-anthy and ibus-typing-booster as input methods using 'ibus-setup'.

Tried to use the input methods. 

When clicking with the left and the right mouse button on the ibus-icon in the plasma panel, menus pop up, one menu for left click and one menu for right click.

It is possible ot have several of these menus open at the same time. 

The behaviour is quite strange. 

When clicking in a window like 'Konsole', these input method menus should close, but often they don't. 

See attached screenshot.

In the screenshot you can see two menus opened with left click at the same time, in one of them (the left one) ibus-typing-booster is selected, you see the special menu entries for ibus-typing-booster at the top. At the right side you see a menu opened with left click which shows the special menus of ibus-anthy at the top.

Below, (invisible), there are several more of these menus including one opened by right click.

Comment 1 Mike FABIAN 2021-03-09 14:11:19 UTC
Created attachment 1762005 [details]
Left click and right click menu of ibus open at the same time

Comment 2 Jens Petersen 2021-09-20 09:27:20 UTC
This also happens for me in KDE Plasma X11.
So it may not be Plasma Wayland specific.

Comment 3 Mike FABIAN 2022-02-15 14:47:06 UTC
Created attachment 1861269 [details]
Video showing the remaining problem: ibus menu can only be closed by clicking on the panel icon

It is better in the current version of Fedora 35 with all current updates, but it is still not working perfectly:

When clicking on an icon in the panel and a menu opens, usually that menu can be closed  again by clicking anywhere on the screen, for example into the konsole seen in the video.

For example when I click on the orange package icon of the dnfdragora-updater applet, a menu opens and if I click into konsole that menu closes again.

But then, when I click on the ibus icon in the panel, the menu which opens cannot be closed by clicking into konsole. The only way to close it is to click exactly on the ibus icon in the panel again.

Comment 4 fujiwara 2022-03-04 14:16:12 UTC
Seems this is a Wayland specific issue in Plasma.
IBus uses libappindicator to show the panel icon so that IBus does not link to KDE libraries.

References:
libappindicator/src/notification-item.xml
libappindicator/src/notification-watcher.xml
kdelibs/kdeui/knotifications/src/org.kde.StatusNotifierItem.xml
kdelibs/kdeui/knotifications/src/org.kde.StatusNotifierWatcher.xml

Comment 5 Akira TAGOH 2022-04-08 06:23:15 UTC
same on f36.

Comment 6 Ben Cotton 2023-04-25 16:41:50 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 7 fujiwara 2023-09-14 05:18:28 UTC
IBus panel now moves AppIndicator "Activate" and "ContextMenu" D-Bus methods to "Menu" method using libdbusmenu in Fedora 39.
The merit is to fix this issue and the demerit is to use the same panel menu for Left click and Right click as "Menu" D-Bus specification.
I also add a workaround of the middle click to switch the active and context menus.


Note You need to log in before you can comment on or make changes to this bug.